aws-0.24.4: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.Iam.Commands.CreateGroup

Synopsis

- data CreateGroup = CreateGroup {
  - cgGroupName :: Text
  - cgPath :: Maybe Text
  }
- data CreateGroupResponse = CreateGroupResponse Group
- data Group = Group {
  - groupArn :: Text
  - groupCreateDate :: UTCTime
  - groupPath :: Text
  - groupGroupId :: Text
  - groupGroupName :: Text
  }

# Documentation

data CreateGroup Source #

Creates a new group.

http://docs.aws.amazon.com/IAM/latest/APIReference/API_CreateGroup.html

Constructors

CreateGroup |

Fields

- cgGroupName :: Text

  Name of the new group

- cgPath :: Maybe Text

  Path under which the group will be created. Defaults to `/` if omitted.

#### Instances

Instances details

SignQuery CreateGroup Source # |

Instance details

Defined in Aws.Iam.Commands.CreateGroup

Associated Types

type ServiceConfiguration CreateGroup |
Instance details Defined in Aws.Iam.Commands.CreateGroup type ServiceConfiguration CreateGroup = IamConfiguration

Methods

signQuery :: CreateGroup -> ServiceConfiguration CreateGroup queryType -> SignatureData -> SignedQuery Source #

Show CreateGroup Source # |
Instance details Defined in Aws.Iam.Commands.CreateGroup Methods showsPrec :: Int -> CreateGroup -> ShowS Source # show :: CreateGroup -> String Source # showList :: [CreateGroup] -> ShowS Source #
Eq CreateGroup Source # |
Instance details Defined in Aws.Iam.Commands.CreateGroup Methods (==) :: CreateGroup -> CreateGroup -> Bool Source # (/=) :: CreateGroup -> CreateGroup -> Bool Source #
Ord CreateGroup Source # |

Instance details

Defined in Aws.Iam.Commands.CreateGroup

Methods

compare :: CreateGroup -> CreateGroup -> Ordering Source #

(<) :: CreateGroup -> CreateGroup -> Bool Source #

(<=) :: CreateGroup -> CreateGroup -> Bool Source #

(>) :: CreateGroup -> CreateGroup -> Bool Source #

(>=) :: CreateGroup -> CreateGroup -> Bool Source #

max :: CreateGroup -> CreateGroup -> CreateGroup Source #

min :: CreateGroup -> CreateGroup -> CreateGroup Source #

ResponseConsumer CreateGroup CreateGroupResponse Source # |

Instance details

Defined in Aws.Iam.Commands.CreateGroup

Associated Types

type ResponseMetadata CreateGroupResponse |
Instance details Defined in Aws.Iam.Commands.CreateGroup type ResponseMetadata CreateGroupResponse = IamMetadata

Methods

responseConsumer :: Request -> CreateGroup -> IORef (ResponseMetadata CreateGroupResponse) -> HTTPResponseConsumer CreateGroupResponse Source #

Transaction CreateGroup CreateGroupResponse Source # |
Instance details Defined in Aws.Iam.Commands.CreateGroup
type ServiceConfiguration CreateGroup Source # |
Instance details Defined in Aws.Iam.Commands.CreateGroup type ServiceConfiguration CreateGroup = IamConfiguration

data CreateGroupResponse Source #

Constructors

CreateGroupResponse Group |

#### Instances

Instances details

AsMemoryResponse CreateGroupResponse Source # |

Instance details

Defined in Aws.Iam.Commands.CreateGroup

Associated Types

type MemoryResponse CreateGroupResponse |
Instance details Defined in Aws.Iam.Commands.CreateGroup type MemoryResponse CreateGroupResponse = CreateGroupResponse

Methods

loadToMemory :: CreateGroupResponse -> ResourceT IO (MemoryResponse CreateGroupResponse) Source #

Show CreateGroupResponse Source # |
Instance details Defined in Aws.Iam.Commands.CreateGroup Methods showsPrec :: Int -> CreateGroupResponse -> ShowS Source # show :: CreateGroupResponse -> String Source # showList :: [CreateGroupResponse] -> ShowS Source #
Eq CreateGroupResponse Source # |
Instance details Defined in Aws.Iam.Commands.CreateGroup Methods (==) :: CreateGroupResponse -> CreateGroupResponse -> Bool Source # (/=) :: CreateGroupResponse -> CreateGroupResponse -> Bool Source #
Ord CreateGroupResponse Source # |

Instance details

Defined in Aws.Iam.Commands.CreateGroup

Methods

compare :: CreateGroupResponse -> CreateGroupResponse -> Ordering Source #

(<) :: CreateGroupResponse -> CreateGroupResponse -> Bool Source #

(<=) :: CreateGroupResponse -> CreateGroupResponse -> Bool Source #

(>) :: CreateGroupResponse -> CreateGroupResponse -> Bool Source #

(>=) :: CreateGroupResponse -> CreateGroupResponse -> Bool Source #

max :: CreateGroupResponse -> CreateGroupResponse -> CreateGroupResponse Source #

min :: CreateGroupResponse -> CreateGroupResponse -> CreateGroupResponse Source #

ResponseConsumer CreateGroup CreateGroupResponse Source # |

Instance details

Defined in Aws.Iam.Commands.CreateGroup

Associated Types

type ResponseMetadata CreateGroupResponse |
Instance details Defined in Aws.Iam.Commands.CreateGroup type ResponseMetadata CreateGroupResponse = IamMetadata

Methods

responseConsumer :: Request -> CreateGroup -> IORef (ResponseMetadata CreateGroupResponse) -> HTTPResponseConsumer CreateGroupResponse Source #

Transaction CreateGroup CreateGroupResponse Source # |
Instance details Defined in Aws.Iam.Commands.CreateGroup
type MemoryResponse CreateGroupResponse Source # |
Instance details Defined in Aws.Iam.Commands.CreateGroup type MemoryResponse CreateGroupResponse = CreateGroupResponse
type ResponseMetadata CreateGroupResponse Source # |
Instance details Defined in Aws.Iam.Commands.CreateGroup type ResponseMetadata CreateGroupResponse = IamMetadata

data Group Source #

The IAM `Group` data type.

http://docs.aws.amazon.com/IAM/latest/APIReference/API_Group.html

Constructors

Group |

Fields

- groupArn :: Text

  ARN used to refer to this group.

- groupCreateDate :: UTCTime

  Date and time at which the group was created.

- groupPath :: Text

  Path under which the group was created.

- groupGroupId :: Text

  Unique identifier used to refer to this group.

- groupGroupName :: Text

  Name of the group.

#### Instances

Instances details

Show Group Source # |
Instance details Defined in Aws.Iam.Core Methods showsPrec :: Int -> Group -> ShowS Source # show :: Group -> String Source # showList :: [Group] -> ShowS Source #
Eq Group Source # |
Instance details Defined in Aws.Iam.Core Methods (==) :: Group -> Group -> Bool Source # (/=) :: Group -> Group -> Bool Source #
Ord Group Source # |
Instance details Defined in Aws.Iam.Core Methods compare :: Group -> Group -> Ordering Source # (<) :: Group -> Group -> Bool Source # (<=) :: Group -> Group -> Bool Source # (>) :: Group -> Group -> Bool Source # (>=) :: Group -> Group -> Bool Source # max :: Group -> Group -> Group Source # min :: Group -> Group -> Group Source #